ibuf Struct Reference
ibuf: Input Buffer Managemenet

`#include <ibuf.h>`

## Data Fields

iobuf | io
unsigned | count
ibuf_fn | readfn

## Detailed Description

Input specific buffer.

## Field Documentation

## count

unsigned ibuf::count

The number of bytes read in the last operation.

Referenced by ibuf_copytofd(), ibuf_getc(), ibuf_gets(), ibuf_getstr(), ibuf_getstr_crlf(), ibuf_init(), ibuf_read(), ibuf_read_large(), and ibuf_seek().

## io

iobuf ibuf::io

Base `iobuf` structure.

Referenced by ibuf_copytofd(), ibuf_eof(), ibuf_getc(), ibuf_getnetstring(), ibuf_gets(), ibuf_getstr(), ibuf_init(), ibuf_peek(), ibuf_read(), ibuf_read_large(), ibuf_readall(), ibuf_refill(), ibuf_seek(), ibuf_tell(), and iobuf_copy().

## readfn

ibuf_fn ibuf::readfn

Function used to read data from the file descriptor.

Referenced by ibuf_init(), ibuf_read_large(), and ibuf_refill().

The documentation for this struct was generated from the following file:

- ibuf.h